curl --request PUT \
--url https://sandbox.nmbr.co/services/payroll/forms/{form} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"form_batch_id": "<string>",
"note": "<string>",
"line_1_basic_personal_amount": 1,
"line_2_infirm_children_caregiver_amount": 1,
"line_3_age_amount": 1,
"line_4_pension_income_amount": 1,
"line_5_tuition": 1,
"line_6_disability_amount": 1,
"line_7_spouse_or_common_law_partner_amount": 1,
"line_8_eligible_dependent_amount": 1,
"line_9_infirm_dependent_caregiver_amount": 1,
"line_10_dependent_caregiver_amount": 1,
"line_11_spouse_or_common_law_transfer_amount": 1,
"line_12_dependent_transfer_amount": 1,
"line_13_total_claim_amount": 1,
"more_than_one_employer_or_payer": true,
"total_income_less_than_total_claim_amount": true,
"ninety_percent_world_income_taxable_income": true,
"prescribed_zone_deduction": 1,
"additional_tax_deduction": 1
}
'import requests
url = "https://sandbox.nmbr.co/services/payroll/forms/{form}"
payload = {
"form_batch_id": "<string>",
"note": "<string>",
"line_1_basic_personal_amount": 1,
"line_2_infirm_children_caregiver_amount": 1,
"line_3_age_amount": 1,
"line_4_pension_income_amount": 1,
"line_5_tuition": 1,
"line_6_disability_amount": 1,
"line_7_spouse_or_common_law_partner_amount": 1,
"line_8_eligible_dependent_amount": 1,
"line_9_infirm_dependent_caregiver_amount": 1,
"line_10_dependent_caregiver_amount": 1,
"line_11_spouse_or_common_law_transfer_amount": 1,
"line_12_dependent_transfer_amount": 1,
"line_13_total_claim_amount": 1,
"more_than_one_employer_or_payer": True,
"total_income_less_than_total_claim_amount": True,
"ninety_percent_world_income_taxable_income": True,
"prescribed_zone_deduction": 1,
"additional_tax_deduction": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
form_batch_id: '<string>',
note: '<string>',
line_1_basic_personal_amount: 1,
line_2_infirm_children_caregiver_amount: 1,
line_3_age_amount: 1,
line_4_pension_income_amount: 1,
line_5_tuition: 1,
line_6_disability_amount: 1,
line_7_spouse_or_common_law_partner_amount: 1,
line_8_eligible_dependent_amount: 1,
line_9_infirm_dependent_caregiver_amount: 1,
line_10_dependent_caregiver_amount: 1,
line_11_spouse_or_common_law_transfer_amount: 1,
line_12_dependent_transfer_amount: 1,
line_13_total_claim_amount: 1,
more_than_one_employer_or_payer: true,
total_income_less_than_total_claim_amount: true,
ninety_percent_world_income_taxable_income: true,
prescribed_zone_deduction: 1,
additional_tax_deduction: 1
})
};
fetch('https://sandbox.nmbr.co/services/payroll/forms/{form}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<id>",
"object": "form",
"data": {
"owner": {
"id": "<id>",
"object": "work_assignment",
"links": {
"self": "/work_assignments/<id>"
}
},
"form_batch": null,
"stage": "original",
"note": null,
"type": "td1",
"effective_date": "2026-01-01",
"version_year": "2026",
"version_month": "january",
"validation_error_count": 0,
"is_editable": true,
"line_1_basic_personal_amount": null,
"line_2_infirm_children_caregiver_amount": null,
"line_3_age_amount": null,
"line_4_pension_income_amount": null,
"line_5_tuition": null,
"line_6_disability_amount": null,
"line_7_spouse_or_common_law_partner_amount": null,
"line_8_eligible_dependent_amount": null,
"line_9_infirm_dependent_caregiver_amount": null,
"line_10_dependent_caregiver_amount": null,
"line_11_spouse_or_common_law_transfer_amount": null,
"line_12_dependent_transfer_amount": null,
"line_13_total_claim_amount": null,
"more_than_one_employer_or_payer": null,
"total_income_less_than_total_claim_amount": null,
"ninety_percent_world_income_taxable_income": null,
"prescribed_zone_deduction": null,
"additional_tax_deduction": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/forms/<id>"
}
}Update a form
Endpoint to update a Form.
The following example is for a 2026 TD1, but the response fields will differ depending on the specific Form instance requested.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
An optional note for this form.
65000x >= 0x >= 0x >= 0x >= 0x >= 0x >= 0x >= 0x >= 0x >= 0x >= 0x >= 0x >= 0x >= 0x >= 0x >= 0Response
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("form").
Hide child attributes
Hide child attributes
The Form Batch this form belongs to, if any.
The lifecycle stage of this form: original, amendment, or cancellation.
amendment, cancellation, original An optional note for this form.
The type of form (e.g. T4, ROE, RL-1).
rl1, roe, t4, t4a, td1, td1ab, td1bc, td1mb, td1nb, td1nl, td1ns, td1nt, td1nu, td1on, td1pe, td1sk, td1x, td1yt, tp_1015_3_v, tp_1015_r_13_v 255The effective date used to determine the form variant (e.g. the T4 tax year).
The form variant's version year. New versions are typically released in January. Note: the version year may differ from the tax year. For example, income earned in the 2025 tax year is typically reported on a 2026 version of the T4.
The month component of the form variant, for forms with monthly variants. null for annual forms.
The number of validation errors currently present in the form's fields.
Whether the form can be edited.
Whether the form can currently be modified.
The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

